Subject: Re: linux-next: manual merge of the v4l-dvb tree with the i2c tree

From: Tomi Valkeinen <[email-masked]>
Date: Tue, 29 Apr 2025 14:46:24 +0300

Hi,

On 28/04/2025 04:30, Stephen Rothwell wrote:
> Hi all,
> 
> On Mon, 28 Apr 2025 11:22:00 +1000 Stephen Rothwell <[email-masked]> wrote:
>>
>> On Mon, 28 Apr 2025 10:49:05 +1000 Stephen Rothwell <[email-masked]> wrote:
>>>
>>> Today's linux-next merge of the v4l-dvb tree got a conflict in:
>>>
>>>    drivers/media/i2c/ds90ub960.c
>>>
>>> between commits:
>>>
>>>    3ec29d51b546 ("media: i2c: ds90ub960: Protect alias_use_mask with a mutex")
>>>    818bd489f137 ("i2c: use client addresses directly in ATR interface")
>>>
>>> from the i2c tree and commits:
>>>
>>>    24868501a744 ("media: i2c: ds90ub9xx: Add err parameter to read/write funcs")
>>>    2ca499384e98 ("media: i2c: ds90ub960: Add RX port iteration support")
>>>
>>> from the v4l-dvb tree.
>>>
>>> I fixed it up (see below) and can carry the fix as necessary. This
>>> is now fixed as far as linux-next is concerned, but any non trivial
>>> conflicts should be mentioned to your upstream maintainer when your tree
>>> is submitted for merging.  You may also want to consider cooperating
>>> with the maintainer of the conflicting tree to minimise any particularly
>>> complex conflicts.
>>
>> The actual resolution is below ...
> 
> I hit the wrong key :-(   Resolution below.

I came up with the same resolution, so looks correct to me.

  Tomi